WordlistLoader (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.nl.WordlistLoader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.nl
Class WordlistLoader

    java.lang.Object
      org.apache.lucene.analysis.nl.WordlistLoader

Deprecated. use `WordlistLoader` instead

    public class WordlistLoader

extends Object

Loads a text file and adds every line as an entry to a Hashtable. Every line should contain only one word. If the file is not found or on any error, an empty table is returned.

Constructor Summary
`WordlistLoader()` Deprecated.

Method Summary
`static HashMap` | `getStemDict(File wordstemfile)` Deprecated. use `WordlistLoader.getStemDict(File)` instead
`static HashMap` | `getWordtable(File wordfile)` Deprecated. use `WordlistLoader.getWordSet(File)` instead
`static HashMap` | `getWordtable(String wordfile)` Deprecated. use `WordlistLoader.getWordSet(File)` instead
`static HashMap` | `getWordtable(String path, String wordfile)` Deprecated. use `WordlistLoader.getWordSet(File)` instead

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WordlistLoader

    public WordlistLoader()

  Deprecated.

Method Detail

### getWordtable

    public static HashMap getWordtable(String path,
                                       String wordfile)

  Deprecated. use `WordlistLoader.getWordSet(File)` instead

  Parameters:
    `path` - Path to the wordlist
    `wordfile` - Name of the wordlist

### getWordtable

    public static HashMap getWordtable(String wordfile)

  Deprecated. use `WordlistLoader.getWordSet(File)` instead

  Parameters:
    `wordfile` - Complete path to the wordlist

### getStemDict

    public static HashMap getStemDict(File wordstemfile)

  Deprecated. use `WordlistLoader.getStemDict(File)` instead

  Reads a stemsdictionary. Each line contains: word \t stem i.e. tab seperated)

  Returns:
    Stem dictionary that overrules, the stemming algorithm

### getWordtable

    public static HashMap getWordtable(File wordfile)

  Deprecated. use `WordlistLoader.getWordSet(File)` instead

  Parameters:
    `wordfile` - File containing the wordlist

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.